Board index » cppbuilder » Which version of Boost and of C++ Builder do you use?

Which version of Boost and of C++ Builder do you use?


2007-09-27 06:19:25 AM
cppbuilder52
Hallo,
I'd be interested in knowing which version of Boost do people use with
which version of the Borland/CodeGear compilers. The reason I'm asking
relates to the state of Boost regression tests for the version currently
being developed, as can be seen here:
beta.boost.org/development/tests/trunk/developer/summary.html
As you can see the situation is not very good. Moreover, while I still
have to apply the latest bcbboost patches for 5.9.2, 5.6.4 and 5.8.2
should already have the same level of support they had in Boost 1.34 .
Unless there's a substantial demand it looks highly likely that support
for at least BCB6 will have to be dropped or, more precisely, be left to
rot. Contributions are an even more effective way to avoid it :-)
Cheers,
Nicola
--
Nicola Musatti
Team Browns
Home: nicola.musatti.googlepages.com/home
Blog: wthwdik.wordpress.com/
 
 

Re:Which version of Boost and of C++ Builder do you use?

On Thu, 27 Sep 2007 00:19:25 +0200, Nicola Musatti
< XXXX@XXXXX.COM >wrote:
Quote
Hallo,
I'd be interested in knowing which version of Boost do people use with
which version of the Borland/CodeGear compilers. The reason I'm asking
relates to the state of Boost regression tests for the version currently
being developed, as can be seen here:
beta.boost.org/development/tests/trunk/developer/summary.html

As you can see the situation is not very good. Moreover, while I still
have to apply the latest bcbboost patches for 5.9.2, 5.6.4 and 5.8.2
should already have the same level of support they had in Boost 1.34 .

Unless there's a substantial demand it looks highly likely that support
for at least BCB6 will have to be dropped or, more precisely, be left to
rot. Contributions are an even more effective way to avoid it :-)

C++B2007, Boost 1.34.1 with bcbboost applied. And feeling sick with
spirit (in and out, out and in, 1.8.5 to build the tools, 1.6.4 to
build serialization... arg!)
But once you are in charge of the ship, I really see everything will
be working pretty soon.
BTW, have you noticed that boost
1.34.1/tools/regression/process_jam_log.cpp will not compile without
some patching? Patch available, if you want it.
best regards,
Zara
 

Re:Which version of Boost and of C++ Builder do you use?

Builder 2006 with Boost 1.33 might switch to the newest boost in the
future. No plans for Builder 2007.
Eelke
 

{smallsort}

Re:Which version of Boost and of C++ Builder do you use?

Hi.
Currently we are using BDS2006 (5.8.2) with Boost 1.33.1. Planning to
upgrade to CB2007 and Boost 1.34.
Your efforts really are appreciated, Nicola. Keep up the good work! Your
place in programmer heaven is secured.
Regards
Eike Petersen
Nicola Musatti wrote:
Quote
Hallo,
I'd be interested in knowing which version of Boost do people use with
which version of the Borland/CodeGear compilers. The reason I'm asking
relates to the state of Boost regression tests for the version currently
being developed, as can be seen here:
beta.boost.org/development/tests/trunk/developer/summary.html

As you can see the situation is not very good. Moreover, while I still
have to apply the latest bcbboost patches for 5.9.2, 5.6.4 and 5.8.2
should already have the same level of support they had in Boost 1.34 .

Unless there's a substantial demand it looks highly likely that support
for at least BCB6 will have to be dropped or, more precisely, be left to
rot. Contributions are an even more effective way to avoid it :-)

Cheers,
Nicola
 

Re:Which version of Boost and of C++ Builder do you use?

Oops. Sorry for the messed up "sender"-field in my last posting. Should
be fixed now :)
 

Re:Which version of Boost and of C++ Builder do you use?

Nicola Musatti wrote:
Quote
Hallo,
I'd be interested in knowing which version of Boost do people use with
which version of the Borland/CodeGear compilers.
BDS2006 with Boost 1.33.1 - planning to move to CB2007 as soon as I can.
Jon
 

Re:Which version of Boost and of C++ Builder do you use?

"Nicola Musatti" < XXXX@XXXXX.COM >wrote in message
Quote
Hallo,
I'd be interested in knowing which version of Boost do people use with
which version of the Borland/CodeGear compilers.
BCB6 SP4 and Boost 1.30
--
Kind regards
Mogens Hansen
 

Re:Which version of Boost and of C++ Builder do you use?

Nicola Musatti wrote:
Quote
Hallo,
I'd be interested in knowing which version of Boost do people use with
which version of the Borland/CodeGear compilers.
CB2007 update 3, Boost 1.34.1 and bcbboost-1_34_1-5_9_2-0.2. However I
just updated everything yesterday. (Previously, CB2007 update 2 and
boost 1.34.0.)
 

Re:Which version of Boost and of C++ Builder do you use?

Nicola
Quote
which version of the Borland/CodeGear compilers
I'm still using C++Builder 6 (5.6.4 compiler) with Boost 1.32. Successfully.
I gave up on C++Builder 2006 a long time ago.
I would like to move to C++Builder 2007 with Boost 1.34, but have been
unable (so far) to get any of my commecial apps to run with the new CodeGear
compiler.
Until I do, I will have to stick to BCB6 <shame>.
Andrew
 

Re:Which version of Boost and of C++ Builder do you use?

Andrew Bond wrote:
Quote
Nicola


>which version of the Borland/CodeGear compilers


I'm still using C++Builder 6 (5.6.4 compiler) with Boost 1.32. Successfully.

I gave up on C++Builder 2006 a long time ago.

I would like to move to C++Builder 2007 with Boost 1.34, but have been
unable (so far) to get any of my commecial apps to run with the new CodeGear
compiler.

Until I do, I will have to stick to BCB6 <shame>.

Andrew


CB6 Boost 1.33.1